Subject: [ietf-tls] Re: MISTY1 and CAMELLIA (Re: New AES ciphersuites draft )

From: "Hidenori Ohta" <[email-masked]>
Date: Fri, 1 Dec 2000 18:04:41 +0900

> I have thought that Camellia was builded on E2 and MISTY technology.

Yes, it's right.  But following figure is not correct.

> DES                      New sbox design technique
> Liner attack             for chip/hardware
> study                  
>     ---------->MISTY  -----------------------------> Kasumi
>                                                      | sbox design and      
>                                                      | simple key schedule 
>                                                      V      
>   (FEAL ------->)  E2  ---------------------------> Camellia 
> 
>         Feistel        AES style key/block length,
>         structure      network and pre/post-whiting 
>         study          structure technique

KASUMI is one of the variant of MISTY1.  They are based on the almost
same technology, and have same security level.
So it may be modified as follows:

  +MISTY tech.---------+
  |                    |
  | MISTY1 ---> KASUMI |
  |                    |
  +--------------------+
            |
            |
            V
E2 -----> Camellia

> If I use/implement Camellia, I never use/implement MISTY1.

Although E2 and MISTY1 are the bases of Camellia, these 3 algorithms
are diffrent.  MISTY1 was not obsolated by KASUMI or Camellia.

Regards
--
Hidenori Ohta

---
You are currently subscribed to ietf-tls as: [email-masked]
To unsubscribe send a blank email to [email-masked]